Name: bison
Version: 1.35
Release: alt2

Summary: A GNU general-purpose parser generator
License: GPL
Group: Development/Other
Url: ftp://ftp.gnu.org/pub/gnu/%name

Source: %url/%name-%version.tar.bz2
Patch1: %name-1.28-alt-texinfo.patch
Patch2: %name-1.32-alt-version.patch

PreReq: %__install_info

Prefix: %prefix

%description
Bison is a general purpose parser generator which converts a grammar
description for an LALR context-free grammar into a C program to parse
that grammar.  Bison can be used to develop a wide range of language
parsers, from ones used in simple desk calculators to complex programming
languages.  Bison is upwardly compatible with Yacc, so any correctly
written Yacc grammar should work with Bison without any changes.  If
you know Yacc, you shouldn't have any trouble using Bison (but you do need
to be very proficient in C programming to be able to use Bison).  Many
programs use Bison as part of their build process. Bison is only needed
on systems that are used for development.

If your system will be used for C development, you should install Bison
since it is used to build many C programs.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%define _libdir %_datadir
%configure
%make_build

%install
%makeinstall
%find_lang %name

%post
%install_info %name.info

%preun
%uninstall_info %name.info

%files -f %name.lang
%_bindir/*
%_datadir/%name
%_mandir/man?/*
%_infodir/*.info*
%doc AUTHORS ChangeLog NEWS README doc/FAQ

%changelog
* Wed Oct 30 2002 Dmitry V. Levin <ldv@altlinux.org> 1.35-alt2
- Rebuilt in new environment.

* Fri Mar 29 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.35-alt1
- 1.35

* Thu Mar 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.34-alt1
- 1.34

* Thu Feb 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.33-alt1
- 1.33

* Mon Feb 04 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.32-alt1
- 1.32

* Wed Jan 23 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.31-alt2
- Fixed handling of ".yacc" extensions.

* Fri Jan 18 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.31-alt1
- 1.31

* Tue Nov 27 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.30-alt2
- Applied bison-1.30-rh-free.patch

* Mon Nov 05 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.30-alt1
- 1.30

* Thu Oct 25 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.29-alt1
- 1.29

* Tue Jan 16 2001 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl8mdk
- Create tmpfiles in more secure way.

* Wed Nov 15 2000 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl7mdk
- Fixed texinfo documentation.

* Wed Aug  2 2000 Dmitry V. Levin <ldv@fandra.org> 1.28-ipl6mdk
- RE adaptions.

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com> 1.28-4mdk
- spec-helper
- group update

* Wed Jan 12 2000 Pixel <pixel@mandrakesoft.com>
- fix build as non-root

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- version 1.28 :

* Tue May 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bziped info files.
- Handle RPM_OPT_FLAGS

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 3)

* Mon Mar  8 1999 Jeff Johnson <jbj@redhat.com>
- configure with datadir=/usr/lib (#1386).

* Mon Feb 22 1999 Jeff Johnson <jbj@redhat.com>
- updated text in spec file.
- update to 1.27

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- built for Manhattan
- added build root

* Wed Oct 15 1997 Donnie Barnes <djb@redhat.com>
- various spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
